//////////////////////////////////////////////
//        RemoteXY include library          //
//////////////////////////////////////////////

// RemoteXY select connection mode and include library 
#define REMOTEXY_MODE__ESP8266WIFI_LIB_POINT
#include <ESP8266WiFi.h>
#include <RemoteXY.h>

// Adding SensorLibrary
#include <DHT.h>
#define DHTPIN D3
#define DHTTYPE DHT11

// RemoteXY connection settings 
#define REMOTEXY_WIFI_SSID "Serre Connectée"
#define REMOTEXY_WIFI_PASSWORD "12345678"
#define REMOTEXY_SERVER_PORT 6377



// RemoteXY configurate  
#pragma pack(push, 1)
uint8_t RemoteXY_CONF[] =   // 143 bytes
  { 255,2,0,27,0,151,0,16,16,1,71,56,1,8,61,61,3,0,24,75,
  0,0,0,0,0,0,32,66,0,0,32,65,0,0,160,64,0,0,128,63,
  24,0,193,0,0,0,0,0,0,136,65,135,0,0,136,65,0,0,200,65,
  52,0,0,200,65,0,0,32,66,2,0,38,48,23,7,179,26,31,31,86,
  101,110,116,0,79,70,70,0,2,0,4,48,22,7,76,26,31,31,69,97,
  117,0,79,70,70,0,68,51,0,59,63,38,29,36,62,6,90,101,114,111,
  0,72,117,109,105,100,105,116,195,169,32,83,111,108,0,72,117,109,105,100,
  105,116,195,169,32,65,105,114,0,67,1,17,3,29,5,24,16,11 };
  
// this structure defines all the variables and events of your control interface 
struct {

    // input variables
  uint8_t switch_Vent; // =1 if switch ON and =0 if OFF 
  uint8_t switch_Eau; // =1 if switch ON and =0 if OFF 

    // output variables
  float T_Air;  // from 0 to 40
  float H_Terre;  // from 0 to 100 
  float onlineGraph_1_var1;
  float onlineGraph_1_var2;
  float onlineGraph_1_var3;
  char text_1[11];  // string UTF8 end zero 

    // other variable
  uint8_t connect_flag;  // =1 if wire connected, else =0 

} RemoteXY;
#pragma pack(pop)

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////

#define PIN_SWITCH_VENT D1
#define PIN_SWITCH_EAU D2

DHT dht (DHTPIN, DHTTYPE);

void setup() 
{
  RemoteXY_Init (); 
  
  pinMode (PIN_SWITCH_VENT, OUTPUT);
  pinMode (PIN_SWITCH_EAU, OUTPUT);
  dht.begin();
  
}

void loop() 
{ 
  RemoteXY_Handler ();
  
  digitalWrite(PIN_SWITCH_VENT, (RemoteXY.switch_Vent==0)?LOW:HIGH);
  digitalWrite(PIN_SWITCH_EAU, (RemoteXY.switch_Eau==0)?LOW:HIGH);
  
  int h_T = analogRead(A0)/10;
  RemoteXY.onlineGraph_1_var1 = h_T;

  int h = dht.readHumidity();
  RemoteXY.onlineGraph_1_var2 = h;

  RemoteXY.T_Air = dht.readTemperature();
  

  delay(1000);

}